Bug 506385 - Can't increase max-loop [NEEDINFO]
Can't increase max-loop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 22:59 EDT by H.J. Lu
Modified: 2010-06-28 09:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmoyer: needinfo? (kzak)


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2009-06-16 22:59:28 EDT
LOOP device in kernel in Fedora 11 is not a module. I can no
long set max-loop via /etc/modprobe.conf.
Comment 1 Itamar Reis Peixoto 2009-06-16 23:10:54 EDT
have you tried the /etc/modprobe.d folder ?
Comment 2 H.J. Lu 2009-06-16 23:23:46 EDT
(In reply to comment #1)
> have you tried the /etc/modprobe.d folder ?  

It doesn't make a difference since LOOP is no longer a module:

bash-3.2$ grep LOOP .config
CONFIG_BLK_DEV_LOOP=y
Comment 3 Jeff Moyer 2009-06-17 09:50:33 EDT
For what it's worth, the source has this to say:
	/*
	 * loop module now has a feature to instantiate underlying device
	 * structure on-demand, provided that there is an access dev node.
	 * However, this will not work well with user space tool that doesn't
	 * know about such "feature".  In order to not break any existing
	 * tool, we do the following:
	 *
	 * (1) if max_loop is specified, create that many upfront, and this
	 *     also becomes a hard limit.
	 * (2) if max_loop is not specified, create 8 loop device on module
	 *     load, user can further extend loop device by create dev node
	 *     themselves and have kernel automatically instantiate actual
	 *     device on-demand.
	 */

Does that address your concern?
Comment 4 H.J. Lu 2009-06-17 10:27:38 EDT
(In reply to comment #3)
> For what it's worth, the source has this to say:
>  /*
>   * loop module now has a feature to instantiate underlying device
>   * structure on-demand, provided that there is an access dev node.
>   * However, this will not work well with user space tool that doesn't
>   * know about such "feature".  In order to not break any existing
>   * tool, we do the following:
>   *
>   * (1) if max_loop is specified, create that many upfront, and this
>   *     also becomes a hard limit.
>   * (2) if max_loop is not specified, create 8 loop device on module
>   *     load, user can further extend loop device by create dev node
>   *     themselves and have kernel automatically instantiate actual
>   *     device on-demand.
>   */
> 
> Does that address your concern?  

I am using "mount -o loop". It runs out of loop devices after
8 mounts. How should I get more than 8 loop devices?
Comment 5 Jeff Moyer 2009-06-17 10:51:34 EDT
cd /dev
./MAKEDEV loop

That should do it (works in my environment).

Perhaps support should be added to losetup -f and/or mount to try making the device file if it doesn't already exist.
Comment 6 H.J. Lu 2009-06-18 09:03:33 EDT
(In reply to comment #5)
> cd /dev
> ./MAKEDEV loop
> 
> That should do it (works in my environment).
> 
> Perhaps support should be added to losetup -f and/or mount to try making the
> device file if it doesn't already exist.  

It works.  Thanks.
Comment 7 Jeff Moyer 2009-06-18 09:31:51 EDT
Thanks for testing.  I'm going to change the component to util-linux so someone looks into creating extra loop devices automatically.
Comment 8 Bug Zapper 2010-04-27 11:00:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jeff Moyer 2010-04-27 11:28:16 EDT
Karel, have you had a chance to look into this?
Comment 10 Bug Zapper 2010-06-28 09:04:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.